<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Catch::Detail::Approx Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="namespaceCatch_1_1Detail.html">Detail</a></li><li class="navelem"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Approx</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="#friends">Friends</a> &#124;
<a href="classCatch_1_1Detail_1_1Approx-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Catch::Detail::Approx Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a1a8618ea8db08c66bd3d9fe8f74b957a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#a1a8618ea8db08c66bd3d9fe8f74b957a">Approx</a> (double value)</td></tr>
<tr class="separator:a1a8618ea8db08c66bd3d9fe8f74b957a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa9adf5f05e641df770039543d5067d30"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Approx</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#aa9adf5f05e641df770039543d5067d30">operator-</a> () const</td></tr>
<tr class="separator:aa9adf5f05e641df770039543d5067d30"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a006f6f92cecf2b2e7d2c70329709f6e4"><td class="memTemplParams" colspan="2">template&lt;typename T , typename  = typename std::enable_if&lt;std::is_constructible&lt;double, T&gt;::value&gt;::type&gt; </td></tr>
<tr class="memitem:a006f6f92cecf2b2e7d2c70329709f6e4"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Approx</a>&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#a006f6f92cecf2b2e7d2c70329709f6e4">operator()</a> (T const &amp;value) const</td></tr>
<tr class="separator:a006f6f92cecf2b2e7d2c70329709f6e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab14b979fa8a37f21d037157fabed4072"><td class="memTemplParams" colspan="2">template&lt;typename T , typename  = typename std::enable_if&lt;std::is_constructible&lt;double, T&gt;::value&gt;::type&gt; </td></tr>
<tr class="memitem:ab14b979fa8a37f21d037157fabed4072"><td class="memTemplItemLeft" align="right" valign="top">&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#ab14b979fa8a37f21d037157fabed4072">Approx</a> (T const &amp;value)</td></tr>
<tr class="separator:ab14b979fa8a37f21d037157fabed4072"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd26adba86a066b9f40dad467f23bc85"><td class="memTemplParams" colspan="2">template&lt;typename T , typename  = typename std::enable_if&lt;std::is_constructible&lt;double, T&gt;::value&gt;::type&gt; </td></tr>
<tr class="memitem:acd26adba86a066b9f40dad467f23bc85"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Approx</a> &amp;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#acd26adba86a066b9f40dad467f23bc85">epsilon</a> (T const &amp;newEpsilon)</td></tr>
<tr class="separator:acd26adba86a066b9f40dad467f23bc85"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6467dc18791e1a1f4c15c4fb63cf5051"><td class="memTemplParams" colspan="2">template&lt;typename T , typename  = typename std::enable_if&lt;std::is_constructible&lt;double, T&gt;::value&gt;::type&gt; </td></tr>
<tr class="memitem:a6467dc18791e1a1f4c15c4fb63cf5051"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Approx</a> &amp;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#a6467dc18791e1a1f4c15c4fb63cf5051">margin</a> (T const &amp;newMargin)</td></tr>
<tr class="separator:a6467dc18791e1a1f4c15c4fb63cf5051"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f4d2def2920a3840d3271f6d9c5ede2"><td class="memTemplParams" colspan="2">template&lt;typename T , typename  = typename std::enable_if&lt;std::is_constructible&lt;double, T&gt;::value&gt;::type&gt; </td></tr>
<tr class="memitem:a8f4d2def2920a3840d3271f6d9c5ede2"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Approx</a> &amp;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#a8f4d2def2920a3840d3271f6d9c5ede2">scale</a> (T const &amp;newScale)</td></tr>
<tr class="separator:a8f4d2def2920a3840d3271f6d9c5ede2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a972fd9ac60607483263f1b0f0f9955e6"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#a972fd9ac60607483263f1b0f0f9955e6">toString</a> () const</td></tr>
<tr class="separator:a972fd9ac60607483263f1b0f0f9955e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a8618ea8db08c66bd3d9fe8f74b957a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#a1a8618ea8db08c66bd3d9fe8f74b957a">Approx</a> (double value)</td></tr>
<tr class="separator:a1a8618ea8db08c66bd3d9fe8f74b957a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa9adf5f05e641df770039543d5067d30"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Approx</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#aa9adf5f05e641df770039543d5067d30">operator-</a> () const</td></tr>
<tr class="separator:aa9adf5f05e641df770039543d5067d30"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a006f6f92cecf2b2e7d2c70329709f6e4"><td class="memTemplParams" colspan="2">template&lt;typename T , typename  = typename std::enable_if&lt;std::is_constructible&lt;double, T&gt;::value&gt;::type&gt; </td></tr>
<tr class="memitem:a006f6f92cecf2b2e7d2c70329709f6e4"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Approx</a>&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#a006f6f92cecf2b2e7d2c70329709f6e4">operator()</a> (T const &amp;value) const</td></tr>
<tr class="separator:a006f6f92cecf2b2e7d2c70329709f6e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab14b979fa8a37f21d037157fabed4072"><td class="memTemplParams" colspan="2">template&lt;typename T , typename  = typename std::enable_if&lt;std::is_constructible&lt;double, T&gt;::value&gt;::type&gt; </td></tr>
<tr class="memitem:ab14b979fa8a37f21d037157fabed4072"><td class="memTemplItemLeft" align="right" valign="top">&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#ab14b979fa8a37f21d037157fabed4072">Approx</a> (T const &amp;value)</td></tr>
<tr class="separator:ab14b979fa8a37f21d037157fabed4072"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd26adba86a066b9f40dad467f23bc85"><td class="memTemplParams" colspan="2">template&lt;typename T , typename  = typename std::enable_if&lt;std::is_constructible&lt;double, T&gt;::value&gt;::type&gt; </td></tr>
<tr class="memitem:acd26adba86a066b9f40dad467f23bc85"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Approx</a> &amp;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#acd26adba86a066b9f40dad467f23bc85">epsilon</a> (T const &amp;newEpsilon)</td></tr>
<tr class="separator:acd26adba86a066b9f40dad467f23bc85"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6467dc18791e1a1f4c15c4fb63cf5051"><td class="memTemplParams" colspan="2">template&lt;typename T , typename  = typename std::enable_if&lt;std::is_constructible&lt;double, T&gt;::value&gt;::type&gt; </td></tr>
<tr class="memitem:a6467dc18791e1a1f4c15c4fb63cf5051"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Approx</a> &amp;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#a6467dc18791e1a1f4c15c4fb63cf5051">margin</a> (T const &amp;newMargin)</td></tr>
<tr class="separator:a6467dc18791e1a1f4c15c4fb63cf5051"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f4d2def2920a3840d3271f6d9c5ede2"><td class="memTemplParams" colspan="2">template&lt;typename T , typename  = typename std::enable_if&lt;std::is_constructible&lt;double, T&gt;::value&gt;::type&gt; </td></tr>
<tr class="memitem:a8f4d2def2920a3840d3271f6d9c5ede2"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Approx</a> &amp;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#a8f4d2def2920a3840d3271f6d9c5ede2">scale</a> (T const &amp;newScale)</td></tr>
<tr class="separator:a8f4d2def2920a3840d3271f6d9c5ede2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a972fd9ac60607483263f1b0f0f9955e6"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#a972fd9ac60607483263f1b0f0f9955e6">toString</a> () const</td></tr>
<tr class="separator:a972fd9ac60607483263f1b0f0f9955e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:aaf86dc0ee92272ac2d9839197a07951d"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classCatch_1_1Detail_1_1Approx.html">Approx</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#aaf86dc0ee92272ac2d9839197a07951d">custom</a> ()</td></tr>
<tr class="separator:aaf86dc0ee92272ac2d9839197a07951d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf86dc0ee92272ac2d9839197a07951d"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classCatch_1_1Detail_1_1Approx.html">Approx</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#aaf86dc0ee92272ac2d9839197a07951d">custom</a> ()</td></tr>
<tr class="separator:aaf86dc0ee92272ac2d9839197a07951d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:af53c48227a7b654da58adeb1d360b715"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#af53c48227a7b654da58adeb1d360b715">equalityComparisonImpl</a> (double other) const</td></tr>
<tr class="separator:af53c48227a7b654da58adeb1d360b715"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff04b8b32edc707138eb395ed45ec576"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#aff04b8b32edc707138eb395ed45ec576">setMargin</a> (double <a class="el" href="classCatch_1_1Detail_1_1Approx.html#a6467dc18791e1a1f4c15c4fb63cf5051">margin</a>)</td></tr>
<tr class="separator:aff04b8b32edc707138eb395ed45ec576"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a28fd65e069b698bc7ae8f060bfbcd6b6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#a28fd65e069b698bc7ae8f060bfbcd6b6">setEpsilon</a> (double <a class="el" href="classCatch_1_1Detail_1_1Approx.html#acd26adba86a066b9f40dad467f23bc85">epsilon</a>)</td></tr>
<tr class="separator:a28fd65e069b698bc7ae8f060bfbcd6b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af53c48227a7b654da58adeb1d360b715"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#af53c48227a7b654da58adeb1d360b715">equalityComparisonImpl</a> (double other) const</td></tr>
<tr class="separator:af53c48227a7b654da58adeb1d360b715"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff04b8b32edc707138eb395ed45ec576"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#aff04b8b32edc707138eb395ed45ec576">setMargin</a> (double <a class="el" href="classCatch_1_1Detail_1_1Approx.html#a6467dc18791e1a1f4c15c4fb63cf5051">margin</a>)</td></tr>
<tr class="separator:aff04b8b32edc707138eb395ed45ec576"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a28fd65e069b698bc7ae8f060bfbcd6b6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#a28fd65e069b698bc7ae8f060bfbcd6b6">setEpsilon</a> (double <a class="el" href="classCatch_1_1Detail_1_1Approx.html#acd26adba86a066b9f40dad467f23bc85">epsilon</a>)</td></tr>
<tr class="separator:a28fd65e069b698bc7ae8f060bfbcd6b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:af17c8e869ae7a55d14b99eb18e178114"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#af17c8e869ae7a55d14b99eb18e178114">m_epsilon</a></td></tr>
<tr class="separator:af17c8e869ae7a55d14b99eb18e178114"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4262a7e821eec507b424c335121ea0d8"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#a4262a7e821eec507b424c335121ea0d8">m_margin</a></td></tr>
<tr class="separator:a4262a7e821eec507b424c335121ea0d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65e9bdab9113ff3300b45f0a4e048dd7"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#a65e9bdab9113ff3300b45f0a4e048dd7">m_scale</a></td></tr>
<tr class="separator:a65e9bdab9113ff3300b45f0a4e048dd7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af7aeef703bd591f5ec85407b1dac053c"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#af7aeef703bd591f5ec85407b1dac053c">m_value</a></td></tr>
<tr class="separator:af7aeef703bd591f5ec85407b1dac053c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="friends"></a>
Friends</h2></td></tr>
<tr class="memitem:ab38782a37d09b527ca5e126dbf433dda"><td class="memTemplParams" colspan="2">template&lt;typename T , typename  = typename std::enable_if&lt;std::is_constructible&lt;double, T&gt;::value&gt;::type&gt; </td></tr>
<tr class="memitem:ab38782a37d09b527ca5e126dbf433dda"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#ab38782a37d09b527ca5e126dbf433dda">operator==</a> (const T &amp;lhs, <a class="el" href="classCatch_1_1Detail_1_1Approx.html">Approx</a> const &amp;rhs)</td></tr>
<tr class="separator:ab38782a37d09b527ca5e126dbf433dda"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e5ef1957d4c38d7857005909c613743"><td class="memTemplParams" colspan="2">template&lt;typename T , typename  = typename std::enable_if&lt;std::is_constructible&lt;double, T&gt;::value&gt;::type&gt; </td></tr>
<tr class="memitem:a0e5ef1957d4c38d7857005909c613743"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#a0e5ef1957d4c38d7857005909c613743">operator==</a> (<a class="el" href="classCatch_1_1Detail_1_1Approx.html">Approx</a> const &amp;lhs, const T &amp;rhs)</td></tr>
<tr class="separator:a0e5ef1957d4c38d7857005909c613743"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29696f14ebd51887c8c88e771d12ef54"><td class="memTemplParams" colspan="2">template&lt;typename T , typename  = typename std::enable_if&lt;std::is_constructible&lt;double, T&gt;::value&gt;::type&gt; </td></tr>
<tr class="memitem:a29696f14ebd51887c8c88e771d12ef54"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#a29696f14ebd51887c8c88e771d12ef54">operator!=</a> (T const &amp;lhs, <a class="el" href="classCatch_1_1Detail_1_1Approx.html">Approx</a> const &amp;rhs)</td></tr>
<tr class="separator:a29696f14ebd51887c8c88e771d12ef54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31d62e3c35abb86cf25e02601966ca5d"><td class="memTemplParams" colspan="2">template&lt;typename T , typename  = typename std::enable_if&lt;std::is_constructible&lt;double, T&gt;::value&gt;::type&gt; </td></tr>
<tr class="memitem:a31d62e3c35abb86cf25e02601966ca5d"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#a31d62e3c35abb86cf25e02601966ca5d">operator!=</a> (<a class="el" href="classCatch_1_1Detail_1_1Approx.html">Approx</a> const &amp;lhs, T const &amp;rhs)</td></tr>
<tr class="separator:a31d62e3c35abb86cf25e02601966ca5d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0369de03e81bc2ceaf6c9d830476bd49"><td class="memTemplParams" colspan="2">template&lt;typename T , typename  = typename std::enable_if&lt;std::is_constructible&lt;double, T&gt;::value&gt;::type&gt; </td></tr>
<tr class="memitem:a0369de03e81bc2ceaf6c9d830476bd49"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#a0369de03e81bc2ceaf6c9d830476bd49">operator&lt;=</a> (T const &amp;lhs, <a class="el" href="classCatch_1_1Detail_1_1Approx.html">Approx</a> const &amp;rhs)</td></tr>
<tr class="separator:a0369de03e81bc2ceaf6c9d830476bd49"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6040b908588745570847d7ae8483b091"><td class="memTemplParams" colspan="2">template&lt;typename T , typename  = typename std::enable_if&lt;std::is_constructible&lt;double, T&gt;::value&gt;::type&gt; </td></tr>
<tr class="memitem:a6040b908588745570847d7ae8483b091"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#a6040b908588745570847d7ae8483b091">operator&lt;=</a> (<a class="el" href="classCatch_1_1Detail_1_1Approx.html">Approx</a> const &amp;lhs, T const &amp;rhs)</td></tr>
<tr class="separator:a6040b908588745570847d7ae8483b091"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:affd27efc62be386daeecb7a09e828d44"><td class="memTemplParams" colspan="2">template&lt;typename T , typename  = typename std::enable_if&lt;std::is_constructible&lt;double, T&gt;::value&gt;::type&gt; </td></tr>
<tr class="memitem:affd27efc62be386daeecb7a09e828d44"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#affd27efc62be386daeecb7a09e828d44">operator&gt;=</a> (T const &amp;lhs, <a class="el" href="classCatch_1_1Detail_1_1Approx.html">Approx</a> const &amp;rhs)</td></tr>
<tr class="separator:affd27efc62be386daeecb7a09e828d44"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5899b8a36725406701e2ebded2971ee6"><td class="memTemplParams" colspan="2">template&lt;typename T , typename  = typename std::enable_if&lt;std::is_constructible&lt;double, T&gt;::value&gt;::type&gt; </td></tr>
<tr class="memitem:a5899b8a36725406701e2ebded2971ee6"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#a5899b8a36725406701e2ebded2971ee6">operator&gt;=</a> (<a class="el" href="classCatch_1_1Detail_1_1Approx.html">Approx</a> const &amp;lhs, T const &amp;rhs)</td></tr>
<tr class="separator:a5899b8a36725406701e2ebded2971ee6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab38782a37d09b527ca5e126dbf433dda"><td class="memTemplParams" colspan="2">template&lt;typename T , typename  = typename std::enable_if&lt;std::is_constructible&lt;double, T&gt;::value&gt;::type&gt; </td></tr>
<tr class="memitem:ab38782a37d09b527ca5e126dbf433dda"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#ab38782a37d09b527ca5e126dbf433dda">operator==</a> (const T &amp;lhs, <a class="el" href="classCatch_1_1Detail_1_1Approx.html">Approx</a> const &amp;rhs)</td></tr>
<tr class="separator:ab38782a37d09b527ca5e126dbf433dda"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e5ef1957d4c38d7857005909c613743"><td class="memTemplParams" colspan="2">template&lt;typename T , typename  = typename std::enable_if&lt;std::is_constructible&lt;double, T&gt;::value&gt;::type&gt; </td></tr>
<tr class="memitem:a0e5ef1957d4c38d7857005909c613743"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#a0e5ef1957d4c38d7857005909c613743">operator==</a> (<a class="el" href="classCatch_1_1Detail_1_1Approx.html">Approx</a> const &amp;lhs, const T &amp;rhs)</td></tr>
<tr class="separator:a0e5ef1957d4c38d7857005909c613743"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29696f14ebd51887c8c88e771d12ef54"><td class="memTemplParams" colspan="2">template&lt;typename T , typename  = typename std::enable_if&lt;std::is_constructible&lt;double, T&gt;::value&gt;::type&gt; </td></tr>
<tr class="memitem:a29696f14ebd51887c8c88e771d12ef54"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#a29696f14ebd51887c8c88e771d12ef54">operator!=</a> (T const &amp;lhs, <a class="el" href="classCatch_1_1Detail_1_1Approx.html">Approx</a> const &amp;rhs)</td></tr>
<tr class="separator:a29696f14ebd51887c8c88e771d12ef54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31d62e3c35abb86cf25e02601966ca5d"><td class="memTemplParams" colspan="2">template&lt;typename T , typename  = typename std::enable_if&lt;std::is_constructible&lt;double, T&gt;::value&gt;::type&gt; </td></tr>
<tr class="memitem:a31d62e3c35abb86cf25e02601966ca5d"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#a31d62e3c35abb86cf25e02601966ca5d">operator!=</a> (<a class="el" href="classCatch_1_1Detail_1_1Approx.html">Approx</a> const &amp;lhs, T const &amp;rhs)</td></tr>
<tr class="separator:a31d62e3c35abb86cf25e02601966ca5d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0369de03e81bc2ceaf6c9d830476bd49"><td class="memTemplParams" colspan="2">template&lt;typename T , typename  = typename std::enable_if&lt;std::is_constructible&lt;double, T&gt;::value&gt;::type&gt; </td></tr>
<tr class="memitem:a0369de03e81bc2ceaf6c9d830476bd49"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#a0369de03e81bc2ceaf6c9d830476bd49">operator&lt;=</a> (T const &amp;lhs, <a class="el" href="classCatch_1_1Detail_1_1Approx.html">Approx</a> const &amp;rhs)</td></tr>
<tr class="separator:a0369de03e81bc2ceaf6c9d830476bd49"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6040b908588745570847d7ae8483b091"><td class="memTemplParams" colspan="2">template&lt;typename T , typename  = typename std::enable_if&lt;std::is_constructible&lt;double, T&gt;::value&gt;::type&gt; </td></tr>
<tr class="memitem:a6040b908588745570847d7ae8483b091"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#a6040b908588745570847d7ae8483b091">operator&lt;=</a> (<a class="el" href="classCatch_1_1Detail_1_1Approx.html">Approx</a> const &amp;lhs, T const &amp;rhs)</td></tr>
<tr class="separator:a6040b908588745570847d7ae8483b091"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:affd27efc62be386daeecb7a09e828d44"><td class="memTemplParams" colspan="2">template&lt;typename T , typename  = typename std::enable_if&lt;std::is_constructible&lt;double, T&gt;::value&gt;::type&gt; </td></tr>
<tr class="memitem:affd27efc62be386daeecb7a09e828d44"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#affd27efc62be386daeecb7a09e828d44">operator&gt;=</a> (T const &amp;lhs, <a class="el" href="classCatch_1_1Detail_1_1Approx.html">Approx</a> const &amp;rhs)</td></tr>
<tr class="separator:affd27efc62be386daeecb7a09e828d44"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5899b8a36725406701e2ebded2971ee6"><td class="memTemplParams" colspan="2">template&lt;typename T , typename  = typename std::enable_if&lt;std::is_constructible&lt;double, T&gt;::value&gt;::type&gt; </td></tr>
<tr class="memitem:a5899b8a36725406701e2ebded2971ee6"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#a5899b8a36725406701e2ebded2971ee6">operator&gt;=</a> (<a class="el" href="classCatch_1_1Detail_1_1Approx.html">Approx</a> const &amp;lhs, T const &amp;rhs)</td></tr>
<tr class="separator:a5899b8a36725406701e2ebded2971ee6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a1a8618ea8db08c66bd3d9fe8f74b957a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1a8618ea8db08c66bd3d9fe8f74b957a">&#9670;&nbsp;</a></span>Approx() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Catch::Detail::Approx::Approx </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">explicit</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab14b979fa8a37f21d037157fabed4072"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab14b979fa8a37f21d037157fabed4072">&#9670;&nbsp;</a></span>Approx() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename  = typename std::enable_if&lt;std::is_constructible&lt;double, T&gt;::value&gt;::type&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Catch::Detail::Approx::Approx </td>
          <td>(</td>
          <td class="paramtype">T const &amp;&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">explicit</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a1a8618ea8db08c66bd3d9fe8f74b957a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1a8618ea8db08c66bd3d9fe8f74b957a">&#9670;&nbsp;</a></span>Approx() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Catch::Detail::Approx::Approx </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">explicit</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab14b979fa8a37f21d037157fabed4072"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab14b979fa8a37f21d037157fabed4072">&#9670;&nbsp;</a></span>Approx() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename  = typename std::enable_if&lt;std::is_constructible&lt;double, T&gt;::value&gt;::type&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Catch::Detail::Approx::Approx </td>
          <td>(</td>
          <td class="paramtype">T const &amp;&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">explicit</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="aaf86dc0ee92272ac2d9839197a07951d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaf86dc0ee92272ac2d9839197a07951d">&#9670;&nbsp;</a></span>custom() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classCatch_1_1Detail_1_1Approx.html">Approx</a> Catch::Detail::Approx::custom </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aaf86dc0ee92272ac2d9839197a07951d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaf86dc0ee92272ac2d9839197a07951d">&#9670;&nbsp;</a></span>custom() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classCatch_1_1Detail_1_1Approx.html">Approx</a> Catch::Detail::Approx::custom </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="acd26adba86a066b9f40dad467f23bc85"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acd26adba86a066b9f40dad467f23bc85">&#9670;&nbsp;</a></span>epsilon() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename  = typename std::enable_if&lt;std::is_constructible&lt;double, T&gt;::value&gt;::type&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Approx</a>&amp; Catch::Detail::Approx::epsilon </td>
          <td>(</td>
          <td class="paramtype">T const &amp;&#160;</td>
          <td class="paramname"><em>newEpsilon</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="acd26adba86a066b9f40dad467f23bc85"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acd26adba86a066b9f40dad467f23bc85">&#9670;&nbsp;</a></span>epsilon() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename  = typename std::enable_if&lt;std::is_constructible&lt;double, T&gt;::value&gt;::type&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Approx</a>&amp; Catch::Detail::Approx::epsilon </td>
          <td>(</td>
          <td class="paramtype">T const &amp;&#160;</td>
          <td class="paramname"><em>newEpsilon</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af53c48227a7b654da58adeb1d360b715"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af53c48227a7b654da58adeb1d360b715">&#9670;&nbsp;</a></span>equalityComparisonImpl() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Catch::Detail::Approx::equalityComparisonImpl </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af53c48227a7b654da58adeb1d360b715"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af53c48227a7b654da58adeb1d360b715">&#9670;&nbsp;</a></span>equalityComparisonImpl() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Catch::Detail::Approx::equalityComparisonImpl </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a6467dc18791e1a1f4c15c4fb63cf5051"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6467dc18791e1a1f4c15c4fb63cf5051">&#9670;&nbsp;</a></span>margin() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename  = typename std::enable_if&lt;std::is_constructible&lt;double, T&gt;::value&gt;::type&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Approx</a>&amp; Catch::Detail::Approx::margin </td>
          <td>(</td>
          <td class="paramtype">T const &amp;&#160;</td>
          <td class="paramname"><em>newMargin</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a6467dc18791e1a1f4c15c4fb63cf5051"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6467dc18791e1a1f4c15c4fb63cf5051">&#9670;&nbsp;</a></span>margin() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename  = typename std::enable_if&lt;std::is_constructible&lt;double, T&gt;::value&gt;::type&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Approx</a>&amp; Catch::Detail::Approx::margin </td>
          <td>(</td>
          <td class="paramtype">T const &amp;&#160;</td>
          <td class="paramname"><em>newMargin</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a006f6f92cecf2b2e7d2c70329709f6e4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a006f6f92cecf2b2e7d2c70329709f6e4">&#9670;&nbsp;</a></span>operator()() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename  = typename std::enable_if&lt;std::is_constructible&lt;double, T&gt;::value&gt;::type&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Approx</a> Catch::Detail::Approx::operator() </td>
          <td>(</td>
          <td class="paramtype">T const &amp;&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a006f6f92cecf2b2e7d2c70329709f6e4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a006f6f92cecf2b2e7d2c70329709f6e4">&#9670;&nbsp;</a></span>operator()() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename  = typename std::enable_if&lt;std::is_constructible&lt;double, T&gt;::value&gt;::type&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Approx</a> Catch::Detail::Approx::operator() </td>
          <td>(</td>
          <td class="paramtype">T const &amp;&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aa9adf5f05e641df770039543d5067d30"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa9adf5f05e641df770039543d5067d30">&#9670;&nbsp;</a></span>operator-() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Approx</a> Catch::Detail::Approx::operator- </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa9adf5f05e641df770039543d5067d30"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa9adf5f05e641df770039543d5067d30">&#9670;&nbsp;</a></span>operator-() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Approx</a> Catch::Detail::Approx::operator- </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8f4d2def2920a3840d3271f6d9c5ede2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8f4d2def2920a3840d3271f6d9c5ede2">&#9670;&nbsp;</a></span>scale() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename  = typename std::enable_if&lt;std::is_constructible&lt;double, T&gt;::value&gt;::type&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Approx</a>&amp; Catch::Detail::Approx::scale </td>
          <td>(</td>
          <td class="paramtype">T const &amp;&#160;</td>
          <td class="paramname"><em>newScale</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a8f4d2def2920a3840d3271f6d9c5ede2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8f4d2def2920a3840d3271f6d9c5ede2">&#9670;&nbsp;</a></span>scale() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename  = typename std::enable_if&lt;std::is_constructible&lt;double, T&gt;::value&gt;::type&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Approx</a>&amp; Catch::Detail::Approx::scale </td>
          <td>(</td>
          <td class="paramtype">T const &amp;&#160;</td>
          <td class="paramname"><em>newScale</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a28fd65e069b698bc7ae8f060bfbcd6b6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a28fd65e069b698bc7ae8f060bfbcd6b6">&#9670;&nbsp;</a></span>setEpsilon() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Catch::Detail::Approx::setEpsilon </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>epsilon</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a28fd65e069b698bc7ae8f060bfbcd6b6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a28fd65e069b698bc7ae8f060bfbcd6b6">&#9670;&nbsp;</a></span>setEpsilon() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Catch::Detail::Approx::setEpsilon </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>epsilon</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aff04b8b32edc707138eb395ed45ec576"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aff04b8b32edc707138eb395ed45ec576">&#9670;&nbsp;</a></span>setMargin() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Catch::Detail::Approx::setMargin </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>margin</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aff04b8b32edc707138eb395ed45ec576"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aff04b8b32edc707138eb395ed45ec576">&#9670;&nbsp;</a></span>setMargin() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Catch::Detail::Approx::setMargin </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>margin</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a972fd9ac60607483263f1b0f0f9955e6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a972fd9ac60607483263f1b0f0f9955e6">&#9670;&nbsp;</a></span>toString() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string Catch::Detail::Approx::toString </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a972fd9ac60607483263f1b0f0f9955e6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a972fd9ac60607483263f1b0f0f9955e6">&#9670;&nbsp;</a></span>toString() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string Catch::Detail::Approx::toString </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Friends And Related Function Documentation</h2>
<a id="a31d62e3c35abb86cf25e02601966ca5d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a31d62e3c35abb86cf25e02601966ca5d">&#9670;&nbsp;</a></span>operator!= <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename  = typename std::enable_if&lt;std::is_constructible&lt;double, T&gt;::value&gt;::type&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool operator!= </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Approx</a> const &amp;&#160;</td>
          <td class="paramname"><em>lhs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">T const &amp;&#160;</td>
          <td class="paramname"><em>rhs</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">friend</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a31d62e3c35abb86cf25e02601966ca5d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a31d62e3c35abb86cf25e02601966ca5d">&#9670;&nbsp;</a></span>operator!= <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename  = typename std::enable_if&lt;std::is_constructible&lt;double, T&gt;::value&gt;::type&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool operator!= </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Approx</a> const &amp;&#160;</td>
          <td class="paramname"><em>lhs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">T const &amp;&#160;</td>
          <td class="paramname"><em>rhs</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">friend</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a29696f14ebd51887c8c88e771d12ef54"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a29696f14ebd51887c8c88e771d12ef54">&#9670;&nbsp;</a></span>operator!= <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename  = typename std::enable_if&lt;std::is_constructible&lt;double, T&gt;::value&gt;::type&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool operator!= </td>
          <td>(</td>
          <td class="paramtype">T const &amp;&#160;</td>
          <td class="paramname"><em>lhs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Approx</a> const &amp;&#160;</td>
          <td class="paramname"><em>rhs</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">friend</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a29696f14ebd51887c8c88e771d12ef54"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a29696f14ebd51887c8c88e771d12ef54">&#9670;&nbsp;</a></span>operator!= <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename  = typename std::enable_if&lt;std::is_constructible&lt;double, T&gt;::value&gt;::type&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool operator!= </td>
          <td>(</td>
          <td class="paramtype">T const &amp;&#160;</td>
          <td class="paramname"><em>lhs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Approx</a> const &amp;&#160;</td>
          <td class="paramname"><em>rhs</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">friend</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a6040b908588745570847d7ae8483b091"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6040b908588745570847d7ae8483b091">&#9670;&nbsp;</a></span>operator&lt;= <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename  = typename std::enable_if&lt;std::is_constructible&lt;double, T&gt;::value&gt;::type&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool operator&lt;= </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Approx</a> const &amp;&#160;</td>
          <td class="paramname"><em>lhs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">T const &amp;&#160;</td>
          <td class="paramname"><em>rhs</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">friend</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a6040b908588745570847d7ae8483b091"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6040b908588745570847d7ae8483b091">&#9670;&nbsp;</a></span>operator&lt;= <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename  = typename std::enable_if&lt;std::is_constructible&lt;double, T&gt;::value&gt;::type&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool operator&lt;= </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Approx</a> const &amp;&#160;</td>
          <td class="paramname"><em>lhs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">T const &amp;&#160;</td>
          <td class="paramname"><em>rhs</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">friend</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a0369de03e81bc2ceaf6c9d830476bd49"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0369de03e81bc2ceaf6c9d830476bd49">&#9670;&nbsp;</a></span>operator&lt;= <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename  = typename std::enable_if&lt;std::is_constructible&lt;double, T&gt;::value&gt;::type&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool operator&lt;= </td>
          <td>(</td>
          <td class="paramtype">T const &amp;&#160;</td>
          <td class="paramname"><em>lhs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Approx</a> const &amp;&#160;</td>
          <td class="paramname"><em>rhs</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">friend</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a0369de03e81bc2ceaf6c9d830476bd49"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0369de03e81bc2ceaf6c9d830476bd49">&#9670;&nbsp;</a></span>operator&lt;= <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename  = typename std::enable_if&lt;std::is_constructible&lt;double, T&gt;::value&gt;::type&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool operator&lt;= </td>
          <td>(</td>
          <td class="paramtype">T const &amp;&#160;</td>
          <td class="paramname"><em>lhs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Approx</a> const &amp;&#160;</td>
          <td class="paramname"><em>rhs</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">friend</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a0e5ef1957d4c38d7857005909c613743"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0e5ef1957d4c38d7857005909c613743">&#9670;&nbsp;</a></span>operator== <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename  = typename std::enable_if&lt;std::is_constructible&lt;double, T&gt;::value&gt;::type&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool operator== </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Approx</a> const &amp;&#160;</td>
          <td class="paramname"><em>lhs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const T &amp;&#160;</td>
          <td class="paramname"><em>rhs</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">friend</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a0e5ef1957d4c38d7857005909c613743"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0e5ef1957d4c38d7857005909c613743">&#9670;&nbsp;</a></span>operator== <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename  = typename std::enable_if&lt;std::is_constructible&lt;double, T&gt;::value&gt;::type&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool operator== </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Approx</a> const &amp;&#160;</td>
          <td class="paramname"><em>lhs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const T &amp;&#160;</td>
          <td class="paramname"><em>rhs</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">friend</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab38782a37d09b527ca5e126dbf433dda"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab38782a37d09b527ca5e126dbf433dda">&#9670;&nbsp;</a></span>operator== <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename  = typename std::enable_if&lt;std::is_constructible&lt;double, T&gt;::value&gt;::type&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool operator== </td>
          <td>(</td>
          <td class="paramtype">const T &amp;&#160;</td>
          <td class="paramname"><em>lhs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Approx</a> const &amp;&#160;</td>
          <td class="paramname"><em>rhs</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">friend</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab38782a37d09b527ca5e126dbf433dda"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab38782a37d09b527ca5e126dbf433dda">&#9670;&nbsp;</a></span>operator== <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename  = typename std::enable_if&lt;std::is_constructible&lt;double, T&gt;::value&gt;::type&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool operator== </td>
          <td>(</td>
          <td class="paramtype">const T &amp;&#160;</td>
          <td class="paramname"><em>lhs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Approx</a> const &amp;&#160;</td>
          <td class="paramname"><em>rhs</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">friend</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a5899b8a36725406701e2ebded2971ee6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5899b8a36725406701e2ebded2971ee6">&#9670;&nbsp;</a></span>operator&gt;= <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename  = typename std::enable_if&lt;std::is_constructible&lt;double, T&gt;::value&gt;::type&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool operator&gt;= </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Approx</a> const &amp;&#160;</td>
          <td class="paramname"><em>lhs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">T const &amp;&#160;</td>
          <td class="paramname"><em>rhs</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">friend</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a5899b8a36725406701e2ebded2971ee6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5899b8a36725406701e2ebded2971ee6">&#9670;&nbsp;</a></span>operator&gt;= <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename  = typename std::enable_if&lt;std::is_constructible&lt;double, T&gt;::value&gt;::type&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool operator&gt;= </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Approx</a> const &amp;&#160;</td>
          <td class="paramname"><em>lhs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">T const &amp;&#160;</td>
          <td class="paramname"><em>rhs</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">friend</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="affd27efc62be386daeecb7a09e828d44"></a>
<h2 class="memtitle"><span class="permalink"><a href="#affd27efc62be386daeecb7a09e828d44">&#9670;&nbsp;</a></span>operator&gt;= <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename  = typename std::enable_if&lt;std::is_constructible&lt;double, T&gt;::value&gt;::type&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool operator&gt;= </td>
          <td>(</td>
          <td class="paramtype">T const &amp;&#160;</td>
          <td class="paramname"><em>lhs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Approx</a> const &amp;&#160;</td>
          <td class="paramname"><em>rhs</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">friend</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="affd27efc62be386daeecb7a09e828d44"></a>
<h2 class="memtitle"><span class="permalink"><a href="#affd27efc62be386daeecb7a09e828d44">&#9670;&nbsp;</a></span>operator&gt;= <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename  = typename std::enable_if&lt;std::is_constructible&lt;double, T&gt;::value&gt;::type&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool operator&gt;= </td>
          <td>(</td>
          <td class="paramtype">T const &amp;&#160;</td>
          <td class="paramname"><em>lhs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Approx</a> const &amp;&#160;</td>
          <td class="paramname"><em>rhs</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">friend</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="af17c8e869ae7a55d14b99eb18e178114"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af17c8e869ae7a55d14b99eb18e178114">&#9670;&nbsp;</a></span>m_epsilon</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double Catch::Detail::Approx::m_epsilon</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a4262a7e821eec507b424c335121ea0d8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4262a7e821eec507b424c335121ea0d8">&#9670;&nbsp;</a></span>m_margin</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double Catch::Detail::Approx::m_margin</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a65e9bdab9113ff3300b45f0a4e048dd7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a65e9bdab9113ff3300b45f0a4e048dd7">&#9670;&nbsp;</a></span>m_scale</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double Catch::Detail::Approx::m_scale</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af7aeef703bd591f5ec85407b1dac053c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af7aeef703bd591f5ec85407b1dac053c">&#9670;&nbsp;</a></span>m_value</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double Catch::Detail::Approx::m_value</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>backend/src/lib/game/<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
